Bug 1000185 - The JASPI auth-module configuration does not support a "module" attribute
The JASPI auth-module configuration does not support a "module" attribute
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR0
: EAP 6.3.0
Assigned To: Stefan Guilhen
Josef Cacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 17:42 EDT by Derek Horton
Modified: 2017-10-09 20:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, the JASPIC auth-module configuration in the security subsystem was ignoring the "module" attribute. This attribute tells PicketBox where to load custom auth-module classes from. As a result, custom JASPIC auth-modules could not be configured as PicketBox was unable to determine the jboss module that should be used. As the module attribute already exists in the security subsystem schema, the fix involved adding code in the security subsystem to handle this attribute, allowing PicketBox to correctly load custom modules. As a result, users can now configure custom JASPIC auth-modules by using the "module" attribute to indicate the jboss-module that contains the custom module class.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:29:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2108 Major Resolved The JASPI auth-module configuration does not support a "module" attribute 2014-09-02 19:33:24 EDT

  None (edit)
Description Derek Horton 2013-08-22 17:42:51 EDT
Description of problem:
The JASPI auth-module configuration does not support a "module" attribute.  This means that when using a custom JASPI module you will need to configure the application to depend on the custom module, make the JASPI module a global module or add the JASPI class to the picketbox module.

I think the JASPI auth-module should support a "module" attribute so that a user can specify which module contains a custom JASPI module.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2013-11-07 18:55:08 EST
Stefan Guilhen <sguilhen@redhat.com> made a comment on jira WFLY-2108

The module attribute exists in the XSD but is missing in the JASPIMappingModuleDefinition. I've updated the model and related transformers to allow configuration of custom auth-modules.
Comment 3 Ondrej Lukas 2014-02-25 04:40:25 EST
Verified on EAP 6.3.0.DR0.
Comment 4 Scott Mumford 2014-07-17 00:10:12 EDT
Making public for visibility in 6.3.0 Release Notes.

Note You need to log in before you can comment on or make changes to this bug.